"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Message = exports.Localization = exports.nls = void 0;
const i18n_1 = require("./i18n");
const localization_1 = require("./localization");
function loadMessageBundle() {
    try {
        return new localization_1.Message(i18n_1.messages);
    }
    catch (e) {
        process.emitWarning('Cannot find messages in i18n module');
    }
}
exports.nls = new localization_1.Localization(loadMessageBundle());
var localization_2 = require("./localization");
Object.defineProperty(exports, "Localization", { enumerable: true, get: function () { return localization_2.Localization; } });
Object.defineProperty(exports, "Message", { enumerable: true, get: function () { return localization_2.Message; } });
//# sourceMappingURL=index.js.map