export interface LocalizationProvider {
    localize(label: string, args?: string | string[]): string;
}
export declare class Localization implements LocalizationProvider {
    private readonly delegate;
    constructor(delegate: Message);
    localize(label: string, args?: string | string[]): string;
}
export declare type MessageBundle = {
    readonly [index: string]: string;
};
export declare class Message implements LocalizationProvider {
    private readonly messages;
    constructor(messages: MessageBundle);
    localize(label: string, args?: string | string[]): string;
    private getLabel;
}
